org.eclipse.oomph.setup.workbench.impl

## Class KeyBindingTaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl
            - - org.eclipse.oomph.setup.workbench.impl.KeyBindingTaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, SetupTask, KeyBindingTask

      public class KeyBindingTaskImpl
      extends SetupTaskImpl
      implements KeyBindingTask

  An implementation of the model object 'Key Binding Task'.

  The following features are implemented:

  - `Scheme`
  - `Contexts`
  - `Platform`
  - `Locale`
  - `Keys`
  - `Command`
  - `Command Parameters`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `SetupTaskImpl.RunnableWithContext, SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `command` The cached value of the '`Command`' attribute.
    `protected static String` | `COMMAND_EDEFAULT` The default value of the '`Command`' attribute.
    `protected EList<CommandParameter>` | `commandParameters` The cached value of the '`Command Parameters`' containment reference list.
    `protected EList<KeyBindingContext>` | `contexts` The cached value of the '`Contexts`' containment reference list.
    `protected String` | `keys` The cached value of the '`Keys`' attribute.
    `protected static String` | `KEYS_EDEFAULT` The default value of the '`Keys`' attribute.
    `protected String` | `locale` The cached value of the '`Locale`' attribute.
    `protected static String` | `LOCALE_EDEFAULT` The default value of the '`Locale`' attribute.
    `protected String` | `platform` The cached value of the '`Platform`' attribute.
    `protected static String` | `PLATFORM_EDEFAULT` The default value of the '`Platform`' attribute.
    `protected String` | `scheme` The cached value of the '`Scheme`' attribute.
    `protected static String` | `SCHEME_EDEFAULT` The default value of the '`Scheme`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `description, DESCRIPTION_EDEFAULT, disabled, DISABLED_EDEFAULT, excludedTriggers, iD, ID_EDEFAULT, predecessors, restrictions, SCOPE_TYPE_EDEFAULT, successors`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyBindingTaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getCommand()`
    `EList<CommandParameter>` | `getCommandParameters()`
    `EList<KeyBindingContext>` | `getContexts()`
    `String` | `getKeys()`
    `String` | `getLocale()`
    `String` | `getPlatform()`
    `String` | `getScheme()`
    `boolean` | `isNeeded(SetupTaskContext context)`
    `void` | `perform(SetupTaskContext context)`
    `void` | `setCommand(String newCommand)`
    `void` | `setKeys(String newKeys)`
    `void` | `setLocale(String newLocale)`
    `void` | `setPlatform(String newPlatform)`
    `void` | `setScheme(String newScheme)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `consolidate, createResolvedURI, createToken, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, performUI, requires, setDescription, setDisabled, setExcludedTriggers, setExcludedTriggersGen, setID`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### SCHEME_EDEFAULT

          protected static final String SCHEME_EDEFAULT

      The default value of the '`Scheme`' attribute.
      See Also:
        `getScheme()`, Constant Field Values
      Generated
      Ordered

    - #### scheme

          protected String scheme

      The cached value of the '`Scheme`' attribute.
      See Also:
        `getScheme()`
      Generated
      Ordered

    - #### contexts

          protected EList<KeyBindingContext> contexts

      The cached value of the '`Contexts`' containment reference list.
      See Also:
        `getContexts()`
      Generated
      Ordered

    - #### PLATFORM_EDEFAULT

          protected static final String PLATFORM_EDEFAULT

      The default value of the '`Platform`' attribute.
      See Also:
        `getPlatform()`
      Generated
      Ordered

    - #### platform

          protected String platform

      The cached value of the '`Platform`' attribute.
      See Also:
        `getPlatform()`
      Generated
      Ordered

    - #### LOCALE_EDEFAULT

          protected static final String LOCALE_EDEFAULT

      The default value of the '`Locale`' attribute.
      See Also:
        `getLocale()`
      Generated
      Ordered

    - #### locale

          protected String locale

      The cached value of the '`Locale`' attribute.
      See Also:
        `getLocale()`
      Generated
      Ordered

    - #### KEYS_EDEFAULT

          protected static final String KEYS_EDEFAULT

      The default value of the '`Keys`' attribute.
      See Also:
        `getKeys()`
      Generated
      Ordered

    - #### keys

          protected String keys

      The cached value of the '`Keys`' attribute.
      See Also:
        `getKeys()`
      Generated
      Ordered

    - #### COMMAND_EDEFAULT

          protected static final String COMMAND_EDEFAULT

      The default value of the '`Command`' attribute.
      See Also:
        `getCommand()`
      Generated
      Ordered

    - #### command

          protected String command

      The cached value of the '`Command`' attribute.
      See Also:
        `getCommand()`
      Generated
      Ordered

    - #### commandParameters

          protected EList<CommandParameter> commandParameters

      The cached value of the '`Command Parameters`' containment reference list.
      See Also:
        `getCommandParameters()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### KeyBindingTaskImpl

          protected KeyBindingTaskImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SetupTaskImpl`
      Generated

    - #### getScheme

          public String getScheme()

      Specified by:
        `getScheme` in interface `KeyBindingTask`
      Returns:
        the value of the 'Scheme' attribute.
      See Also:
        `KeyBindingTask.setScheme(String)`, `WorkbenchPackage.getKeyBindingTask_Scheme()`
      Generated

    - #### setScheme

          public void setScheme(String newScheme)

      Specified by:
        `setScheme` in interface `KeyBindingTask`
      Parameters:
        `newScheme` - the new value of the 'Scheme' attribute.
      See Also:
        `KeyBindingTask.getScheme()`
      Generated

    - #### getContexts

          public EList<KeyBindingContext> getContexts()

      Specified by:
        `getContexts` in interface `KeyBindingTask`
      Returns:
        the value of the 'Contexts' containment reference list.
      See Also:
        `WorkbenchPackage.getKeyBindingTask_Contexts()`
      Generated

    - #### getPlatform

          public String getPlatform()

      Specified by:
        `getPlatform` in interface `KeyBindingTask`
      Returns:
        the value of the 'Platform' attribute.
      See Also:
        `KeyBindingTask.setPlatform(String)`, `WorkbenchPackage.getKeyBindingTask_Platform()`
      Generated

    - #### setPlatform

          public void setPlatform(String newPlatform)

      Specified by:
        `setPlatform` in interface `KeyBindingTask`
      Parameters:
        `newPlatform` - the new value of the 'Platform' attribute.
      See Also:
        `KeyBindingTask.getPlatform()`
      Generated

    - #### getLocale

          public String getLocale()

      Specified by:
        `getLocale` in interface `KeyBindingTask`
      Returns:
        the value of the 'Locale' attribute.
      See Also:
        `KeyBindingTask.setLocale(String)`, `WorkbenchPackage.getKeyBindingTask_Locale()`
      Generated

    - #### setLocale

          public void setLocale(String newLocale)

      Specified by:
        `setLocale` in interface `KeyBindingTask`
      Parameters:
        `newLocale` - the new value of the 'Locale' attribute.
      See Also:
        `KeyBindingTask.getLocale()`
      Generated

    - #### getKeys

          public String getKeys()

      Specified by:
        `getKeys` in interface `KeyBindingTask`
      Returns:
        the value of the 'Keys' attribute.
      See Also:
        `KeyBindingTask.setKeys(String)`, `WorkbenchPackage.getKeyBindingTask_Keys()`
      Generated

    - #### setKeys

          public void setKeys(String newKeys)

      Specified by:
        `setKeys` in interface `KeyBindingTask`
      Parameters:
        `newKeys` - the new value of the 'Keys' attribute.
      See Also:
        `KeyBindingTask.getKeys()`
      Generated

    - #### getCommand

          public String getCommand()

      Specified by:
        `getCommand` in interface `KeyBindingTask`
      Returns:
        the value of the 'Command' attribute.
      See Also:
        `KeyBindingTask.setCommand(String)`, `WorkbenchPackage.getKeyBindingTask_Command()`
      Generated

    - #### setCommand

          public void setCommand(String newCommand)

      Specified by:
        `setCommand` in interface `KeyBindingTask`
      Parameters:
        `newCommand` - the new value of the 'Command' attribute.
      See Also:
        `KeyBindingTask.getCommand()`
      Generated

    - #### getCommandParameters

          public EList<CommandParameter> getCommandParameters()

      Specified by:
        `getCommandParameters` in interface `KeyBindingTask`
      Returns:
        the value of the 'Command Parameters' containment reference list.
      See Also:
        `WorkbenchPackage.getKeyBindingTask_CommandParameters()`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `SetupTaskImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `SetupTaskImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `SetupTaskImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `SetupTaskImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SetupTaskImpl`
      Generated

    - #### isNeeded

          public boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Specified by:
        `isNeeded` in interface `SetupTask`
      Throws:
        `Exception`

    - #### perform

          public void perform(SetupTaskContext context)
                       throws Exception

      Specified by:
        `perform` in interface `SetupTask`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html